Canalplan Bug Tracker



Anonymous Login
2017-10-21 17:09 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000248Canalplan [All Projects] Generalpublic2017-04-07 06:30
ReporterStephen Atty 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version9.29 
Summary0000248: US Rivers not showing distance
DescriptionOhio River shows the following in Edit Distance:

    From To Distance Total
Distance
    Mississippi - Ohio Junction Ohio - Allegheny - Monongahela Rivers 981 981


Description on the main page is :

The Ohio River is a commercial waterway and is part of the Waterways of North America. It runs for through 21 locks from Ohio - Allegheny - Monongahela Rivers (which is a dead end) to Mississippi - Ohio Junction (where it joins the Mississippi (Upper River) and the Mississippi (Lower River)).


So the mileage is missing... Not sure if it affects all the US rivers.


Also affects the Danube:

The Danube is a large river and is part of the Rhine-Main-Danube-Black Sea. It runs for through 18 locks from Kelheim (where it joins the Main-Danube Canal) to Dunărea - Canalul Dunăre-Marea Neagră derivație (where it joins the Canalul Dunăre-Marea Neagră).


TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000981

Nick Atty (administrator)

I've seen that one before, it's to do with some values being strings and others integers. I can't find the comment on it in either the change log nor the bug tracker, although I remember not only fixing it but writing about it too.

Should be easy to fix (like it was last time - yeah!)

~0000982

Nick Atty (administrator)

That's very odd indeed. It wasn't working for any waterway, because the milage calculation was commented out.

I'm going to turn it on and see what happens...

~0000983

Stephen Atty (administrator)

Well values are appearing.. there seems to be a minor rounding error as it is showing as 983.44 miles.

I assume the mileage is calculated from the separate sections all added up?

~0000984

Nick Atty (administrator)

In the case of the Ohio there is one entry in the table: zqhu|qikv|h60b|1578429

that last item is the distance in metres which translates to 981.61 miles. Which is - erm - odd... since 1578429 is exactly 981 miles at 1609 metres to the mile.

~0000985

Nick Atty (administrator)

I found a (properly #defined) 1608 in the code where it should be 1609 which explains the error on long distances. Technically speaking this is still out by .344 metres to a mile. This is less important than that the various conversions are consistent. Will get changed in next release.

~0000989

Nick Atty (administrator)

I think this can be closed - it seems to be giving the right answers now.

~0001074

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-05 19:41 Stephen Atty New Issue
2017-03-05 19:41 Stephen Atty Assigned To => Nick Atty
2017-03-05 19:41 Stephen Atty Status new => assigned
2017-03-05 19:50 Nick Atty Note Added: 0000981
2017-03-05 20:06 Nick Atty Note Added: 0000982
2017-03-05 20:24 Stephen Atty Note Added: 0000983
2017-03-06 07:25 Nick Atty Note Added: 0000984
2017-03-06 07:33 Nick Atty Note Added: 0000985
2017-03-07 07:00 Nick Atty Status assigned => resolved
2017-03-07 07:00 Nick Atty Resolution open => fixed
2017-03-07 07:00 Nick Atty Fixed in Version => 9.29
2017-03-07 07:00 Nick Atty Note Added: 0000989
2017-04-07 06:30 Autoclose Note Added: 0001074
2017-04-07 06:30 Autoclose Status resolved => closed
+Issue History